Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.impl
Class VTViewModelElementSelectorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.impl.VTViewModelElementSelectorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, VTStyleSelector, VTViewModelElementSelector

    public class VTViewModelElementSelectorImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements VTViewModelElementSelector

An implementation of the model object 'Selector'.

The following features are implemented:

- `Select Subclasses`
- `Class Type`
- `Attribute`
- `Attribute Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleSelector
`NOT_APPLICABLE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `basicGetAttribute()`
`org.eclipse.emf.ecore.EClass` | `basicGetClassType()`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.ecore.EAttribute` | `getAttribute()`
`Object` | `getAttributeValue()`
`org.eclipse.emf.ecore.EClass` | `getClassType()`
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Checks how well a `VElement` is fitting.
`boolean` | `isSelectSubclasses()`
`void` | `setAttribute(org.eclipse.emf.ecore.EAttribute newAttribute)`
`void` | `setAttributeValue(Object newAttributeValue)`
`void` | `setClassType(org.eclipse.emf.ecore.EClass newClassType)`
`void` | `setSelectSubclasses(boolean newSelectSubclasses)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getClassType

    public org.eclipse.emf.ecore.EClass getClassType()

  Specified by:
    `getClassType` in interface `VTViewModelElementSelector`
  Returns:
    the value of the 'Class Type' reference.
  See Also:
    `VTViewModelElementSelector.setClassType(EClass)`, `VTViewModelElementPackage.getViewModelElementSelector_ClassType()`

### basicGetClassType

    public org.eclipse.emf.ecore.EClass basicGetClassType()

### setClassType

    public void setClassType(org.eclipse.emf.ecore.EClass newClassType)

  Specified by:
    `setClassType` in interface `VTViewModelElementSelector`
  Parameters:
    `newClassType` - the new value of the 'Class Type' reference.
  See Also:
    `VTViewModelElementSelector.getClassType()`

### getAttribute

    public org.eclipse.emf.ecore.EAttribute getAttribute()

  Specified by:
    `getAttribute` in interface `VTViewModelElementSelector`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `VTViewModelElementSelector.setAttribute(EAttribute)`, `VTViewModelElementPackage.getViewModelElementSelector_Attribute()`

### basicGetAttribute

    public org.eclipse.emf.ecore.EAttribute basicGetAttribute()

### setAttribute

    public void setAttribute(org.eclipse.emf.ecore.EAttribute newAttribute)

  Specified by:
    `setAttribute` in interface `VTViewModelElementSelector`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `VTViewModelElementSelector.getAttribute()`

### getAttributeValue

    public Object getAttributeValue()

  Specified by:
    `getAttributeValue` in interface `VTViewModelElementSelector`
  Returns:
    the value of the 'Attribute Value' attribute.
  See Also:
    `VTViewModelElementSelector.setAttributeValue(Object)`, `VTViewModelElementPackage.getViewModelElementSelector_AttributeValue()`

### setAttributeValue

    public void setAttributeValue(Object newAttributeValue)

  Specified by:
    `setAttributeValue` in interface `VTViewModelElementSelector`
  Parameters:
    `newAttributeValue` - the new value of the 'Attribute Value' attribute.
  See Also:
    `VTViewModelElementSelector.getAttributeValue()`

### isSelectSubclasses

    public boolean isSelectSubclasses()

  Specified by:
    `isSelectSubclasses` in interface `VTViewModelElementSelector`
  Returns:
    the value of the 'Select Subclasses' attribute.
  See Also:
    `VTViewModelElementSelector.setSelectSubclasses(boolean)`, `VTViewModelElementPackage.getViewModelElementSelector_SelectSubclasses()`

### setSelectSubclasses

    public void setSelectSubclasses(boolean newSelectSubclasses)

  Specified by:
    `setSelectSubclasses` in interface `VTViewModelElementSelector`
  Parameters:
    `newSelectSubclasses` - the new value of the 'Select Subclasses' attribute.
  See Also:
    `VTViewModelElementSelector.isSelectSubclasses()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isApplicable

    public double isApplicable(VElement vElement,
                               ViewModelContext viewModelContext)

  Checks how well a `VElement` is fitting.

  Specified by:
    `isApplicable` in interface `VTStyleSelector`
  Parameters:
    `vElement` - the `VElement` to check
    `viewModelContext` - the `ViewModelContext` currently used
  Returns:
    a double defining the specificity of the selector. The higher the number the more specific the tester is.
  See Also:
    `VTStyleSelector.isApplicable(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.